This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 41105 - Installation failed while formating disks.
Installation failed while formating disks.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-17 11:09 EDT by Nick
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-17 17:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nick 2001-05-17 11:09:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (Win98; I)

Description of problem:
Traceback (innermost last):
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
rc = self.todo.doInstall ()

File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1470, in doInstall
self.fstab.turnOnSwap()

File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 406, in turnOnSwap
isys.swapon (file)

File "/usr/lib/anaconda/isys.py", line 142, in swapon
return _isys.swapon (path)

SystemError: (1, 'Operation not permitted')
Local variables in innermost frame:
path: /tmp/swap/hdb13
ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
<failed>

How reproducible:
Always

Steps to Reproduce:
1.Install
2.
3.
	

Actual Results:  System reboot

Expected Results:  Continue installation

Additional info:

Traceback (innermost last):
File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
rc = self.todo.doInstall ()

File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1470, in doInstall
self.fstab.turnOnSwap()

File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 406, in turnOnSwap
isys.swapon (file)

File "/usr/lib/anaconda/isys.py", line 142, in swapon
return _isys.swapon (path)

SystemError: (1, 'Operation not permitted')
Local variables in innermost frame:
path: /tmp/swap/hdb13
ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
<failed>
Comment 1 Brent Fox 2001-05-17 17:48:11 EDT
What are the steps required to reproduce this issue?
Comment 2 Brent Fox 2001-05-29 10:28:46 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.